SoInfo(3IV)

NAME
SoInfo — node containing information text string

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoInfo

SYNOPSIS
#include <Inventor/nodes/SoInfo.h>

Fields from class SoInfo:

SoSFString
string

Methods from class SoInfo:

SoInfo()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This class defines a information node in the scene graph. This node has no effect during traversal. It is used to store information in the scene graph, typically for application-specific purposes, copyright messages, or other strings. This node differs from the SoLabel node in that it stores its information in an SbString instead of an SbName; the SbString is more efficient for storing long strings that don't have to be accessed very often. Use an SoLabel node for short strings that have to be accessed more often.

FIELDS
SoSFString
string
Defines the info string value as an SbString.

METHODS

SoInfo()
Creates an info node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

FILE FORMAT/DEFAULTS
Info {
string	"<Undefined info>"
}

SEE ALSO
SbString, SoLabel